Bug 618292 - SPICE-XPI : Spice cannot be opened from RHEL6.0 client user-portal using latest Firefox 3.6.x
Summary: SPICE-XPI : Spice cannot be opened from RHEL6.0 client user-portal using late...
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: spice-xpi   
(Show other bugs)
Version: 6.0
Hardware: All
OS: Windows
urgent
urgent
Target Milestone: rc
: ---
Assignee: Martin Stransky
QA Contact: Desktop QE
URL:
Whiteboard:
Keywords:
Depends On: 616033
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-26 15:06 UTC by Martin Stransky
Modified: 2011-06-15 14:38 UTC (History)
13 users (show)

Fixed In Version: spice-xpi-2.3-0.5.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 616033
Environment:
Last Closed: 2010-11-10 21:39:17 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Martin Stransky 2010-07-26 15:06:50 UTC
+++ This bug was initially created as a clone of Bug #616033 +++

SPICE-XPI : Spice cannot be opened from RHEL5.5 client user-portal using FireFox 3.6.4.  

Scenario:
**********
- from RHEL5.5 yum update firefox. 
- open user portal. 
- open spice to VM. 

Result:
*********
spice session cannot be open.

spice.log:
***********
2010-07-19 16:32:42,617 DEBUG nsPluginInstance::nsPluginInstance(NPP_t*): logger init


•Plugins are no longer scriptable through XPCOM (IDL) interfaces, NPRuntime is the API to use for making plugins scriptable, and NPP_GetValue() is no longer called to with the value NPPVpluginScriptableInstance or NPPVpluginScriptableIID. This is part of the work toward making plugins run in separate processes in a future version of Gecko.
logger init

https://developer.mozilla.org/en/firefox_3.6_for_developers

Comment 4 Michal Haško 2010-09-01 11:01:47 UTC
VERIFIED on
$ rpm -qa firefox xulrunner spice-xpi
spice-xpi-2.4-1.el6.x86_64
firefox-3.6.4-4.el6.x86_64
xulrunner-1.9.2.4-4.el6.x86_64

Connecting to a VM works fine through user portal

Comment 7 Michal Haško 2010-09-02 07:21:42 UTC
VERIFIED

$ rpm -q firefox xulrunner spice-xpi
firefox-3.6.9-2.el6.x86_64
xulrunner-1.9.2.9-1.el6.x86_64
spice-xpi-2.4-1.el6.x86_64

Comment 9 releng-rhel@redhat.com 2010-11-10 21:39:17 UTC
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.